Subject: Re: bug#46236: 26.1; explicit the info files installation

From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Apr 2021 22:20:03 -0500

Richard Stallman <[email-masked]> writes:

>   > I suggest to add a notice in the info/dir file itself (or at least
>   > an info link easy to notice, be it to the FAQ or not) that
>   > explicit that you probably need to install system-wise :
>   > - extra documentations packages such as bash-doc,
>   >   emacs-common-non-dfsg (non-free repository for debian).
>   > - ensure texinfo is installed in order to compile documentation
>   >   when new emacs packages are installed.
>
> In principle this is desirable, but it may be complex.  For instance,
> on various GNU/Linux distros the method is different.

Let's assume for the sake of argument that we only want to do this for
Debian and derivatives.  That would require adding the non-free
repository, thus indirectly encouraging users to use proprietary
software.  Is that something we really would want to do?